Summary: A GNU tool for automatically creating Makefiles.
Name: automake15
Version: 1.5
Release: 1.3.0
License: GPL
Group: Development/Tools
URL: http://sources.redhat.com/automake
Source: ftp://ftp.gnu.org/gnu/automake/automake-%{version}.tar.bz2
Patch1: automake-1.5-depout-mf.patch
Patch2: automake15-versioning.patch
Patch3: automake15-autoconf253.patch
Requires: perl
Prereq: /sbin/install-info
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Automake is an experimental Makefile generator. Automake was inspired
by the 4.4BSD make and include files, but aims to be portable and to
conform to the GNU standards for Makefile variables and targets.

You should install Automake if you are developing software and would
like to use its ability to automatically generate GNU standard
Makefiles. If you install Automake, you will also need to install
GNU's Autoconf package.

%prep
%setup -q -n automake-%{version}
# %patch1 -p1 -b .makefile
%patch2 -p1 -b .versioning
%patch3 -p1 -b .autoconf253

%build
autoconf
%configure --program-suffix=-%{version}
make

%install
rm -rf ${RPM_BUILD_ROOT}

#make install prefix=${RPM_BUILD_ROOT}%{_prefix}
%makeinstall

gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/automake*

# create this dir empty so we can own it
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/aclocal

#ln -s automake-%{version} ${RPM_BUILD_ROOT}%{_bindir}/automake
#ln -s aclocal-%{version} ${RPM_BUILD_ROOT}%{_bindir}/aclocal

%clean
rm -rf ${RPM_BUILD_ROOT}

#%post
#/sbin/install-info %{_infodir}/automake.info.gz %{_infodir}/dir

#%preun
#if [ $1 = 0 ]; then
#    /sbin/install-info --delete %{_infodir}/automake.info.gz %{_infodir}/dir
#fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%{_bindir}/*
#%{_infodir}/*.info*
%{_datadir}/automake-%{version}
%{_datadir}/aclocal-%{version}
%dir %{_datadir}/aclocal

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Taken from Red Hat 7.3.  Pre-EnGarde changelog removed.
